#import "assertions.js"

function extend(proto, elements) {
	for(var name in elements) {
		proto[name] = elements[name];
	}
	return proto;
}

extend(UIANavigationBar.prototype, {
	assertTitleNamed: function(titleName) {
		assertEqual(titleName, this.name(), "Title should be \""+titleName+"\" but was \""+this.name()+"\"")
	}
});

extend(UIATableView.prototype, {
	cellWithName: function(name) {
		return this.cells().firstWithName(name);
	},
	
  // taps field to make it first responder, then sets value
	setValueForField: function(value, field) {
		UIALogger.logMessage("Setting '" + value + "' for field '" + field + "'");
		var fieldCell = this.cellWithName(field);
		fieldCell.tap();
		fieldCell.textFields()[0].setValue(value);
	}
});

extend(UIATableCell.prototype, {
	flickAndDelete: function() {
		this.flickInsideWithOptions({
			startOffset: {x: 0.01, y: 0.5},
			endOffset: {x: 0.99, y: 0.5}
		});
	}
});