#import "arkasis/arkasis_tests.js"
//#import "fixtures.js"

function tapAddButton() {
	msg("Tapping add");
	navBar().buttons()["Add"].tap();
	msg("Add tapped");
}

function addAndSelect(itemName) {
	tapAddButton();
	assert(app().actionSheet().isValid(), "actionSheet should appear");
	target().delay(1);
	msg("Selecting " + itemName);
	app().actionSheet().buttons()[itemName].tap();
	msg("Selected " + itemName)
	app().actionSheet().waitForInvalid();
	assert(!app().actionSheet().checkIsValid(), "Actionsheet should disappear");
	msg("Actionsheet disappeared")
}

test("Should add and cancel", function() {
	addAndSelect("Cancel");
	navBar().assertTitleNamed("Cameras");
	msg("Back at root");
});

test("Should add camera and cancel", function() {
	addAndSelect("Camera");
	target().delay(1);
	navBar().assertTitleNamed("Edit Camera");
	navBar().buttons()["Cancel"].tap();
	target().delay(1);
	navBar().assertTitleNamed("Cameras");
	msg("Back at root");
});


test("Should add folder and cancel", function() {
	addAndSelect("Folder");
	target().delay(1);
	navBar().assertTitleNamed("Edit Folder");
	navBar().buttons()["Cancel"].tap();
	target().delay(1);
	navBar().assertTitleNamed("Cameras");
	msg("Back at root");
});



test("Should add folder one", function() {
	addAndSelect("Folder");
	target().delay(1);
	navBar().assertTitleNamed("Edit Folder");
	
	window().tableViews()[0].setValueForField("folderOne", "name");
	
	navBar().buttons()["Done"].tap();
	target().delay(1);
	navBar().assertTitleNamed("Cameras");
	msg("Back at root");
	
	assertEqual(1, window().tableViews()[0].cells().length, "Should have one cell");
	assertNotNull(window().tableViews()[0].cellWithName("folderOne"));
	msg("Folder added");
});

test("Should navigate into folder one and go back", function() {
	var cell = window().tableViews()[0].cellWithName("folderOne");
	cell.tap();
	target().delay(1);
	navBar().assertTitleNamed("folderOne");
	navBar().buttons()["Cameras"].tap();
	target().delay(1);
	navBar().assertTitleNamed("Cameras");
});

test("Should delete folderOne", function() {
	var cell = window().tableViews()[0].cellWithName("folderOne");
	cell.flickAndDelete();
});